/**
 * 文件：MateriaForm.java 版本：1.0.0 日期： Copyright &reg; All right reserved.
 */
package com.mortals.xhx.module.materia.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.materia.model.MateriaEntity;
import com.mortals.xhx.module.materia.model.MateriaQuery;

/**
 * <p>
 * Title: 物料主表
 * </p>
 * <p>
 * Description: MateriaForm
 * </p>
 * <p>
 * Copyright: Copyright &reg;
 * </p>
 * <p>
 * Company:
 * </p>
 * @author
 * @version 1.0.0
 */
public class MateriaForm extends BaseCRUDFormLong<MateriaEntity> {

    private MateriaEntity materia = new MateriaEntity();
    private MateriaQuery query = new MateriaQuery();

    public MateriaForm() {

    }

    @Override
    public MateriaEntity getEntity() {
        return materia;
    }

    public MateriaEntity getMateria() {
        return materia;
    }

    public void setMateria(MateriaEntity materia) {
        this.materia = materia;
    }

    @Override
    public MateriaQuery getQuery() {
        return query;
    }

    public void setQuery(MateriaQuery query) {
        this.query = query;
    }
}